Modify

Opened 5 years ago

Closed 5 years ago

#9324 closed defect (fixed)

TagEditor: NoSuchFieldError

Reported by: SammysHP Owned by: team
Priority: normal Milestone:
Component: Plugin tageditor Version: latest
Keywords: Cc:

Description

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2013-11-16 02:34:34
Last Changed Author: simon04
Revision: 6388
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2013-11-15 22:19:40 +0100 (Fri, 15 Nov 2013)
Last Changed Rev: 6388

Identification: JOSM/1.5 (6388 de) Linux Arch Linux
Memory Usage: 261 MB / 880 MB (126 MB allocated, but free)
Java version: 1.7.0_45, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
VM arguments: [-Dawt.useSystemAAFontSettings=on, -Dswing.aatext=true, -Dswing.defaultlaf=com.sun.java.swing.plaf.gtk.GTKLookAndFeel]
Dataset consistency test: No problems found

Plugin: PicLayer (29854)
Plugin: buildings_tools (30010)
Plugin: measurement (29854)
Plugin: notes (v0.6)
Plugin: reverter (30031)
Plugin: tageditor (29854)
Plugin: terracer (29854)

java.lang.NoSuchFieldError: tags
	at org.openstreetmap.josm.plugins.tageditor.editor.TagEditorModel.updateJOSMSelection(TagEditorModel.java:156)
	at org.openstreetmap.josm.plugins.tageditor.TagEditorDialog$OKAction.run(TagEditorDialog.java:313)
	at org.openstreetmap.josm.plugins.tageditor.TagEditorDialog$OKAction.actionPerformed(TagEditorDialog.java:307)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2018)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2341)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:402)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
	at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:252)
	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
	at java.awt.Component.processMouseEvent(Component.java:6505)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3320)
	at java.awt.Component.processEvent(Component.java:6270)
	at java.awt.Container.processEvent(Container.java:2229)
	at java.awt.Component.dispatchEventImpl(Component.java:4861)
	at java.awt.Container.dispatchEventImpl(Container.java:2287)
	at java.awt.Component.dispatchEvent(Component.java:4687)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4832)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4492)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4422)
	at java.awt.Container.dispatchEventImpl(Container.java:2273)
	at java.awt.Window.dispatchEventImpl(Window.java:2719)
	at java.awt.Component.dispatchEvent(Component.java:4687)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:735)
	at java.awt.EventQueue.access$200(EventQueue.java:103)
	at java.awt.EventQueue$3.run(EventQueue.java:694)
	at java.awt.EventQueue$3.run(EventQueue.java:692)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:87)
	at java.awt.EventQueue$4.run(EventQueue.java:708)
	at java.awt.EventQueue$4.run(EventQueue.java:706)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:705)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:154)
	at java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:182)
	at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:221)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:219)
	at java.awt.Dialog.show(Dialog.java:1082)
	at java.awt.Component.show(Component.java:1651)
	at java.awt.Component.setVisible(Component.java:1603)
	at java.awt.Window.setVisible(Window.java:1014)
	at java.awt.Dialog.setVisible(Dialog.java:1005)
	at org.openstreetmap.josm.plugins.tageditor.TagEditorDialog.setVisible(TagEditorDialog.java:268)
	at org.openstreetmap.josm.plugins.tageditor.LaunchAction.launchEditor(LaunchAction.java:38)
	at org.openstreetmap.josm.plugins.tageditor.LaunchAction.actionPerformed(LaunchAction.java:43)
	at javax.swing.SwingUtilities.notifyAction(SwingUtilities.java:1664)
	at javax.swing.JComponent.processKeyBinding(JComponent.java:2878)
	at javax.swing.KeyboardManager.fireBinding(KeyboardManager.java:307)
	at javax.swing.KeyboardManager.fireKeyboardAction(KeyboardManager.java:263)
	at javax.swing.JComponent.processKeyBindingsForAllComponents(JComponent.java:2970)
	at javax.swing.JComponent.processKeyBindings(JComponent.java:2962)
	at javax.swing.JComponent.processKeyEvent(JComponent.java:2841)
	at java.awt.Component.processEvent(Component.java:6282)
	at java.awt.Container.processEvent(Container.java:2229)
	at java.awt.Component.dispatchEventImpl(Component.java:4861)
	at java.awt.Container.dispatchEventImpl(Container.java:2287)
	at java.awt.Component.dispatchEvent(Component.java:4687)
	at java.awt.KeyboardFocusManager.redispatchEvent(KeyboardFocusManager.java:1895)
	at java.awt.DefaultKeyboardFocusManager.dispatchKeyEvent(DefaultKeyboardFocusManager.java:762)
	at java.awt.DefaultKeyboardFocusManager.preDispatchKeyEvent(DefaultKeyboardFocusManager.java:1027)
	at java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(DefaultKeyboardFocusManager.java:899)
	at java.awt.DefaultKeyboardFocusManager.dispatchEvent(DefaultKeyboardFocusManager.java:727)
	at java.awt.Component.dispatchEventImpl(Component.java:4731)
	at java.awt.Container.dispatchEventImpl(Container.java:2287)
	at java.awt.Window.dispatchEventImpl(Window.java:2719)
	at java.awt.Component.dispatchEvent(Component.java:4687)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:735)
	at java.awt.EventQueue.access$200(EventQueue.java:103)
	at java.awt.EventQueue$3.run(EventQueue.java:694)
	at java.awt.EventQueue$3.run(EventQueue.java:692)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:87)
	at java.awt.EventQueue$4.run(EventQueue.java:708)
	at java.awt.EventQueue$4.run(EventQueue.java:706)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:705)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)

Attachments (0)

Change History (5)

comment:1 Changed 5 years ago by skyper

What did you do ? Could you please describe your last steps and maybe attach a small sample file to reproduce.

comment:2 Changed 5 years ago by SammysHP

  • select a way or node
  • open tageditor
  • click the + button
  • click OK

comment:3 Changed 5 years ago by Don-vip

Resolution: fixed
Status: newclosed

Plugin recompiled against JOSM r6316 in [o30055].

comment:4 Changed 5 years ago by SammysHP

Resolution: fixed
Status: closedreopened

Still the same error (with updated josm and tageditor):

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2013-11-19 02:35:45
Last Changed Author: Don-vip
Revision: 6394
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2013-11-19 02:29:10 +0100 (Tue, 19 Nov 2013)
Last Changed Rev: 6394

Identification: JOSM/1.5 (6394 de) Linux Arch Linux
Memory Usage: 233 MB / 880 MB (148 MB allocated, but free)
Java version: 1.7.0_45, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
VM arguments: [-Dawt.useSystemAAFontSettings=on, -Dswing.aatext=true, -Dswing.defaultlaf=com.sun.java.swing.plaf.gtk.GTKLookAndFeel]
Dataset consistency test: No problems found

Plugin: PicLayer (29854)
Plugin: buildings_tools (30057)
Plugin: measurement (29854)
Plugin: notes (v0.6)
Plugin: reverter (30031)
Plugin: tageditor (30055)
Plugin: terracer (29854)

java.lang.NoSuchFieldError: tags
	at org.openstreetmap.josm.plugins.tageditor.editor.TagEditorModel.updateJOSMSelection(TagEditorModel.java:156)
	at org.openstreetmap.josm.plugins.tageditor.TagEditorDialog$OKAction.run(TagEditorDialog.java:313)
	at org.openstreetmap.josm.plugins.tageditor.TagEditorDialog$OKAction.actionPerformed(TagEditorDialog.java:307)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2018)
	...

comment:5 Changed 5 years ago by Don-vip

Resolution: fixed
Status: reopenedclosed

Fixed in [o30070].

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.